Bug 1272213 (TEIID-3757-DV6.2.2) - OData $top not working for virtual procedures
Summary: OData $top not working for virtual procedures
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: TEIID-3757-DV6.2.2
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: jolee
QA Contact: Filip Elias
URL:
Whiteboard:
Depends On:
Blocks: 1268321
TreeView+ depends on / blocked
 
Reported: 2015-10-15 19:07 UTC by dsteigne
Modified: 2019-08-15 05:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: TEIID-3757-DV6.1.5
Environment:
Last Closed: 2016-02-10 08:49:35 UTC
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker TEIID-3757 Major Closed OData V2: $top doesn't work with virtual procedures 2016-07-01 19:56:12 UTC

Description dsteigne 2015-10-15 19:07:46 UTC
+++ This bug was initially created as a clone of Bug #1272211 +++

Description of problem:
See TEIID-3757



When using OData to query a virtual procedure with a input parameter $top gets ignored:

http://127.0.0.1:8080/odata/odat/proctest?string_in='30'&$top=5

Returns all the rows.


Version-Release number of selected component (if applicable):
6.1.3

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 JBoss JIRA Server 2015-10-21 20:32:18 UTC
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3757 to Resolved

Comment 4 jolee 2015-12-01 21:36:01 UTC
git@github.com:jboss-integration/teiid.git : 8.7.x-prod-ipv6.2 : 4d8abf8

git@github.com:teiid/teiid.git : 62-8.7.x : 4d8abf8

scratch builds are currently failing based upon differences introduced by --patches git://pkgs.devel.redhat.com/rpms/teiid#c629999478771b1210f749fbcaa10c8be63705d4

local builds are succeeding with -DskipTests

Comment 5 JBoss JIRA Server 2015-12-03 17:41:38 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3757 to Reopened

Comment 6 JBoss JIRA Server 2015-12-03 17:42:09 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3757 to Closed


Note You need to log in before you can comment on or make changes to this bug.